<?php

/*
Plugin Name: Block BUMA crawler
Version: 0.1
Plugin URI: http://coenjacobs.net/wordpress/plugins/block-buma-crawler
Description: Blocks certain IP addresses to prevent your embedded videos from YouTube for example being crawled by the BUMA crawler
Author: Coen Jacobs
Author URI: http://coenjacobs.net/
*/

function redirect_buma_crawler()
{
	if($file = @fopen("http://coenjacobs.net/wp-content/files/buma-ips.txt", 'r'))
	{		
		while(!feof($file))
		{
			$ips[] = trim(fgets($file));
		}
		
		fclose($file);
		
		if(in_array($_SERVER['REMOTE_ADDR'], $ips))
		{
			die("Sorry, you're not allowed in here!");
		}
	}
}

add_action('init', 'redirect_buma_crawler');

?>